Bug 478005 - smoltSendProfile ImportError: No module named os_detect
smoltSendProfile ImportError: No module named os_detect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 00:20 EST by Jerry Amundson
Modified: 2009-01-29 02:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 23:23:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2008-12-27 00:20:34 EST
Description of problem:
smoltSendProfile ImportError: No module named os_detect

Version-Release number of selected component (if applicable):
smolt-1.2-2.fc11.noarch

How reproducible:
always

Steps to Reproduce:
1. smoltSendProfile
2.
3.
  
Actual results:
Error

Expected results:
Sent profile.

Additional info:
[root@walnut ~]# smoltSendProfile -d -a
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 32, in <module>
    import smolt
  File "/usr/share/smolt/client/smolt.py", line 46, in <module>
    import config
  File "/usr/share/smolt/client/config.py", line 4, in <module>
    import os_detect
ImportError: No module named os_detect
Comment 1 Christopher Beland 2009-01-11 03:06:57 EST
I was trying to generate a Smolt profile to help debug a kernel issue, but I am having the same problem.
Comment 2 antonio montagnani 2009-01-15 00:39:26 EST
Same here, trying to generate report for bug #479525 .
Comment 3 Jerry Amundson 2009-01-22 23:23:20 EST
Fixed with 1.2.3.
Comment 4 Christopher Beland 2009-01-29 02:12:29 EST
Confirmed the fix in smolt-1.2-3.fc11.noarch.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.